<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>AVM2: </title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<p><a name="callstatic"></a></p>
<h2><a class="anchor" id="callstatic"></a>
callstatic</h2>
<h3><a class="anchor" id="operation"></a>
Operation</h3>
<p>Call a method identified by index in the abcFile method table.</p>
<h3><a class="anchor" id="format"></a>
Format</h3>
<div class="fragment"><pre class="fragment">callstatic 
index 
arg_count
</pre></div><h3><a class="anchor" id="forms"></a>
Forms</h3>
<div class="fragment"><pre class="fragment">callstatic = 68 (0x44)
</pre></div> <h3><a class="anchor" id="stack"></a>
Stack</h3>
<div class="fragment"><pre class="fragment">..., receiver, arg1, arg2, ..., argn =&gt; ..., value
</pre></div><h3><a class="anchor" id="description"></a>
Description</h3>
<p>index is a u30 that is the index of the method_info of the method to invoke. arg_count is a u30 that is the number of arguments present on the stack. receiver is the object to invoke the method on.</p>
<p>The method at position index is invoked with the arguments receiver, arg1, ..., argn. The receiver will be used as the “this” value for the method. The result of the method is pushed onto the stack.</p>
<h3><a class="anchor" id="rt_execeptions"></a>
Runtime exceptions</h3>
<p>A TypeError is thrown if receiver is null or undefined.</p>
<p>An ArgumentError is thrown if the number of arguments does not match the expected number of arguments for the method.</p>
<h3><a class="anchor" id="notes"></a>
Notes</h3>
<p>None. </p>
</div>
<hr class="footer"/><address class="footer"><small>Generated on Thu Jan 6 2011 10:19:15 for AVM2 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
